import request from '@/utils/request'

// 查询股权出质变更信息列表
export function listChange(query) {
  return request({
    url: '/basicData/xcrEquityChange/findByPage',
    method: 'get',
    params: query
  })
}

// 查询股权出质变更信息详细
export function getChange(xhCodeId) {
  return request({
    url: '/basicData/xcrEquityChange/' + xhCodeId,
    method: 'get'
  })
}

// 新增股权出质变更信息
export function addChange(data) {
  return request({
    url: '/basicData/xcrEquityChange',
    method: 'post',
    data: data
  })
}

// 修改股权出质变更信息
export function updateChange(data) {
  return request({
    url: '/basicData/xcrEquityChange',
    method: 'put',
    data: data
  })
}

// 删除股权出质变更信息
export function delChange(xhCodeId) {
  return request({
    url: '/basicData/xcrEquityChange/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delChangeBatch(ids) {
  return request.post('/basicData/xcrEquityChange/delete',ids)
}
